# DR73 - Download accounting documents

Description

At least one of the following filters must be applied: document_id or entity_idIf more than one document is requested, the output of the API will be a ZIP archive.The tree structure of this archive is as follows:
documents-1624624030618.zip
|
|__ product-logistic-order/
|   |__order1-A/|      |__ INV203837.pdf
|      |__ INV203837.cxml
|   |__order1-B/|      |__ INV203839.pdf

Endpoint: GET /api/document-request/documents/download

## Query parameters:

  - `document_request_id` (array)
    The document request unique identifier. This parameter can be supplied multiple times.

  - `document_id` (array)
    Document identifiers. This parameter can be supplied multiple times.

  - `document_format` (array)
    Document formats. This parameter can be supplied multiple times.
    Enum: "PDF", "cXML"

  - `entity_id` (array)
    Entity identifiers related to the documents to download. This parameter can be supplied multiple times.The entity_type must be specified to use this filter, otherwise an error 400 will be returned.Example: entity_id=order1-A&entity_id=order20-A&entity_type=PRODUCT_LOGISTIC_ORDER

  - `entity_type` (array)
    Entity types related to the documents to download. This parameter can be supplied multiple times.
    Enum: "PRODUCT_LOGISTIC_ORDER", "SHOP_BILLING_CYCLE_PURCHASE_ORDER", "LOGISTIC_PURCHASE_ORDER", "FEES", "ONE_OFF_FEES"


